- oops-framework
- ecs
- getSingleton

# Function getSingleton

- getSingleton<T>(ctor: CompCtor<T>): T

- 获取单例组件

  #### Type Parameters

  - #### T extends IComp

  #### Parameters

  - ##### ctor: CompCtor<T>

    组件类

  #### Returns T

  - Defined in assets/libs/ecs/ECS.ts:301

###
Settings

#### Member Visibility

- Protected
- Private
- Inherited
- External

#### Theme

Generated using TypeDoc